<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="deprecateForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="deprecateValidatorPanel"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xval.MarkAValidatorAsDeprecated']}</ui:define>
            <s:div id="deprecateValidatorPanelContent">
                <s:div rendered="#{validatorAdministrationManager.validatorForUpdate == null}">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.NoValidatorSelected']}" styleClass="message"/>
                </s:div>
                <s:div id="validatorDetails">
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Name']}</ui:define>
                            <h:outputText value="#{validatorAdministrationManager.validatorForUpdate.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.AffinityDomain_2']}</ui:define>
                            <h:outputText value="#{validatorAdministrationManager.validatorForUpdate.affinityDomain}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
                            <h:outputText value="#{validatorAdministrationManager.validatorForUpdate.version}"/>
                        </s:decorate>
                    </dl>
                </s:div>

                <h:outputText value="#{messages['net.ihe.gazelle.xval.DoYouReallyWantToMarkThisValidator']} "/>
                <h:outputText value="#{validatorAdministrationManager.validatorForUpdate.name}" style="font-weight:bold;"/>
                <h:outputText value=" #{messages['net.ihe.gazelle.xval.AsDeprecated']}"/>

            </s:div>
            <ui:define name="popup_footer">
                <h:form id="restoreValidatorPanelButtons">

                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Yes']}" oncomplete="jq162('#deprecateValidatorPanel').modal('hide');"
                                       action="#{validatorAdministrationManager.deprecateValidator()}"
                                       render="validatorList browseValidatorForm"
                                       styleClass="gzl-btn-green"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}"
                                       oncomplete="jq162('#deprecateValidatorPanel').modal('hide');"
                                       immediate="true" actionListener="#{validatorAdministrationManager.cancelUpdate(null)}"
                                       styleClass="gzl-btn-orange"/>
                </h:form>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>
